#!/usr/bin/env ruby
# -*- coding; utf-8 -*-
require 'csv'
data = CSV.read("bun.csv", headers: true)
CSV.open("bun.csv", "w") do |csv|
puts "ランダムに任せて適当に決めよう"
puts "1.ランダムに答える 2.ランダムを作る"
u = gets.chomp.to_i
row = data.sample
if u == 1
  srand()
  a = rand(3) + 1
  if a == 1
    printf("%s\n", row["1"])
    kotae1 = row["1.5"]
    kotae1n = gets.chomp
    if kotae1n==kotae1
      printf("正解!\n")
    else
      printf("不正解、答えは" kotae1 "でした")
    end
  end
  if a == 2
    printf("%s\n", row["2"])
    kotae2 = ("%s\n", row["2.5"])
    kotae2n = gets.chomp
    if kotae2n==kotae2
      printf("正解!\n")
    else
      printf("不正解、答えは\n" kotae2)
    end
  end
  if a == 3
    printf("%s\n", row["3"])
    kotae3 = ("@s\n",row["3.5"])
    kotae3n = gets.chomp
    if kotae3n==kotae3
      print("正解!\n")
    else
      printf("不正解、答えは %s でした\n" row["3.5"])
    end
  end
elsif u == 2
   print("使い方を見ますか? 1.見る 2.見ない\n")
   tukaikata = gets.chomp
   if tukaikata == 1
     print("使い方は、1, 問題1, 1.5, 答え1, 2, 問題2, 2.5, 答え2,  3, 問題3, 3.5 答え3 1.5が打ち終わったらエンターキーを押すと改行されるので次の2.5とか3.5をそれでまた打ってください。\n")
   end
   print("問題を入れてください\n")
   mondai1 = gets.chomp
   csv << [mondai1]
   mondai1 = gets.chomp
   csv << [mondai1]
   mondai1 = gets.chomp
   csv << [mondai1]
   print("問題が完成しました。")
end
